Bug 984177 - scroll bar freezes emacs
scroll bar freezes emacs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Petr Hracek
Fedora Extras Quality Assurance
:
: 953779 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-13 05:24 EDT by peter.senna
Modified: 2013-07-30 13:32 EDT (History)
10 users (show)

See Also:
Fixed In Version: emacs-24.3-9.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-30 13:32:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of emacs when it freezes (228.20 KB, application/gzip)
2013-07-13 05:26 EDT, peter.senna
no flags Details
backtrace when killed with -1 (SIGHUP) (575 bytes, text/plain)
2013-07-17 03:13 EDT, Branko Grubić
no flags Details

  None (edit)
Description peter.senna 2013-07-13 05:24:44 EDT
Description of problem:
When using EMACS with Fedora 19, the emacs graphical interface hangs if I click on the scroll bar to scroll the text. I can scroll the text with the mouse wheel and with keyboard, but doing it with scroll bar freeze the graphical interface of emacs.

Version-Release number of selected component (if applicable):
emacs-24.2-18.fc19.x86_64
emacs-common-24.2-18.fc19.x86_64
emacs-filesystem-24.2-18.fc19.noarch


How reproducible:


Steps to Reproduce:
1. open emacs
2. click on the scroll bar and scroll the welcome text
3. emacs freeze

Actual results:
the emacs graphical interface freezes

Expected results:
scroll the text

Additional info:
The attachment is strace of emacs when in hangs. Note that the pooling still works after the graphical interface freezes. I do not know if the scroll bar action is present on the trace.
Comment 1 peter.senna 2013-07-13 05:26:40 EDT
Created attachment 772975 [details]
strace of emacs when it freezes
Comment 2 Ville Skyttä 2013-07-15 05:50:45 EDT
Reproduced here. I rebuilt emacs 24.3-9 locally from rawhide for F-19, and it does not have this problem.
Comment 3 peter.senna 2013-07-15 09:55:25 EDT
I've added (scroll-bar-mode -1) to my .emacs file and it fixed the problem as there is no more scrollbar being shown. :-)
Comment 4 Petr Hracek 2013-07-15 14:45:31 EDT
Thanks for the bug.

I will look on that issue.
Comment 5 Ralf Schneider 2013-07-16 17:08:01 EDT
After upgrading to FC19 the problem didn't show up with emacs-24.2-19.fc18.x86_64
(To get emacs work in this constellation /usr/lib64/libgnutls.so.28 was linked to the missing /usr/lib64/libgnutls.so.26)

After doing a distro-sync which downgraded to emacs-24.2-18.fc19.x86_64
the problem showed up the first time.

Today I applied the update to emacs-24.2-20.fc19.x86_64 according to BUG 981135
which did not fix the problem.

Currently I am using a local build from source of emacs version 24.3.1 which doesn't show the problem.
Comment 6 Branko Grubić 2013-07-17 02:47:39 EDT
I think this is the same bug I'm hitting, so maybe we can "merge" them (with all info) or close one as duplicate of other ( #953779 )
Comment 7 Jens Petersen 2013-07-17 03:02:49 EDT
*** Bug 953779 has been marked as a duplicate of this bug. ***
Comment 8 Jens Petersen 2013-07-17 03:04:59 EDT
I only managed to reproduce it once (in emacs -q).
It seems not that easy to reproduce?

Can someone attach a gdb backtrace when it has hung?
Comment 9 Branko Grubić 2013-07-17 03:12:37 EDT
It doesn't happen quickly, but you move the scroll up/down until it happens, it doesn't crash, If I kill it with SIGHUP I can get trace, not sure is it helpful
Comment 10 Branko Grubić 2013-07-17 03:13:30 EDT
Created attachment 774650 [details]
backtrace when killed with -1 (SIGHUP)
Comment 11 peter.senna 2013-07-17 05:21:00 EDT
For me it always happen and it is immediate, it is just use the scrollbar. But the only thing that hangs is the graphical interface, Emacs keep running behind the graphical interface.
Comment 12 Ville Skyttä 2013-07-18 03:51:05 EDT
Comment 11 seconded here.
Comment 13 Petr Hracek 2013-07-18 07:09:12 EDT
I have already informed upstream about that trouble
(http://lists.gnu.org/archive/html/bug-gnu-emacs/2013-07/msg00632.html)

But I think that upgrading emacs-24.3 in F19 is pretty late

I have tested emacs-24.3 and trunk and in those two versions scrollbar is working properly.
Comment 14 Eric Smith 2013-07-20 03:49:43 EDT
I did a local build of the emacs-24.3-10.fc20 SRPM on F19 and it solves the problem.  Is there an issue with pushing a 24.3 update to F19?
Comment 15 Petr Hracek 2013-07-22 03:58:08 EDT
Did you tried whether some dependencies are not broken?
Do you think that regressions are needed?

It is enough to call git merge master on f19 brach and call
command like git push, fedpkg build and fedpkg update.

I can do that but it is need to test whether all is working properly.
I think that pushing emacs to the stable will take a time.
and I do not think that karma is enough.

In the meantime I will prepare steps for pushing into f19 update

I have checked dependencies like
repoquery --whatrequires --alldeps=src --enablerepo=fedora-source emacs
Pyrex-0:0.9.9-6.fc19.src
QuantLib-0:1.2.1-4.fc19.src
Singular-0:3.1.5-5.fc19.src
a2ps-0:4.14-20.fc19.src
anthy-0:9100h-21.fc19.src
asymptote-0:2.22-1.fc19.src
autoconf-0:2.69-10.fc19.src
automake-0:1.13.2-1.fc19.src
bigloo-0:4.0a-1.fc19.src
cdargs-0:1.35-11.fc19.src
cflow-0:1.4-4.fc19.src
clisp-0:2.49-9.20130208hg.fc19.src
cmake-0:2.8.11-1.fc19.src
compat-guile18-0:1.8.8-6.fc19.src
cvc3-0:2.4.1-6.fc19.src
desktop-file-utils-0:0.21-2.fc19.src
dinotrace-0:9.4c-4.fc19.src
***** emacs packages
emacs-apel-0:10.8-5.fc19.src
.....
emacs-vm-0:8.1.2-6.fc19.src
emacspeak-0:37.0-2.fc19.src
*****
erlang-0:R16B-0.3.fc19.src
erlang-lfe-0:0.6.2-2.fc19.src
flim-0:1.14.9-6.fc19.src
ftnchek-0:3.3.1-16.fc19.src
gambit-c-0:4.6.6-2.fc18.src
gap-0:4.6.4-2.fc19.src
gcl-0:2.6.8-0.17.20130521cvs.fc19.src
gettext-0:0.18.2.1-1.fc19.src
git-0:1.8.2.1-4.fc19.src
gnuplot-0:4.6.1-6.fc19.src
golang-0:1.1-2.fc19.src
gtypist-0:2.9-4.fc19.src
jflex-0:1.4.3-13.fc19.src
libidn-0:1.26-2.fc19.src
librep-0:0.92.3-2.fc19.src
migemo-0:0.40-19.fc19.src
mona-0:1.4r14-1.fc19.src
mozc-0:1.10.1390.102-1.fc19.src
nesc-0:1.3.4-4.fc19.src
ocaml-0:4.00.1-2.fc19.src
perl-SystemC-Vregs-0:1.470-2.fc19.src
perl-SystemPerl-0:1.336-7.fc19.src
protobuf-0:2.5.0-4.fc19.src
psgml-0:1.2.5-16.fc19.src
pure-0:0.57-4.fc19.src
pvs-sbcl-0:6.0-3.fc19.src
pydb-0:1.26-10.fc19.src
pypy-0:2.0-0.2.b1.fc19.src
root-0:5.34.07-1.fc19.src
systemtap-0:2.2.1-1.fc19.src
tpp-0:1.3.1-12.fc19.src
ucblogo-0:6.0-11.fc19.src
uim-0:1.8.5-4.fc19.src
undertaker-0:1.2-9.fc19.src
vala-0:0.20.1-1.fc19.src
why3-0:0.81-2.fc19.src

I checked to of them like automake and pypy and it seems that emacs is used only for editing text.
Comment 16 Eric Smith 2013-07-22 04:08:15 EDT
I certainly haven't checked all of them, but I think the main case to worry about is packages that provide some .el files, and for an update from 24.2 to 24.3, it seems quite unlikely that there would be any breakage.  If I remember correctly, Fedora (and Red Hat Linux before that) has had emacs point release updates in the past, and I don't recall there ever having been any serious issues.  

There was a big problem with an emacs major release upgrade some time back, and that resulted in having to bump the epoch to revert to the earlier major release.  I would certainly advise against pushing a major release upgrade like 24.x to 25.x.

Anyhow, if the changeset you found fixes the problem and you can backport it to 24.2, I don't have any objection to that course of action.
Comment 17 Petr Hracek 2013-07-22 05:20:48 EDT
From my point of view it would be good
to have the latest version (not trunk) in Fedora.

I have made the test for emacs-ibus package and there is a command line call like emacs --no-init file ....

Upgrade to 24.3 version could case a problem with running those lisp files, right?

I have tested emacs-rpm-spec-mode (installed with emacs-24.2) and run with 24.3 and it seems to be ok.

In the meantime here is a koji build.
http://koji.fedoraproject.org/koji/taskinfo?taskID=5638199

Now the git push; fedpkg build and fedpkg update should be called for closing that problem.

From my point of view emacs-24.3 is prepared for building and updating in F19 repositories.
Comment 18 Fedora Update System 2013-07-22 07:16:04 EDT
emacs-24.3-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/emacs-24.3-9.fc19
Comment 19 Petr Hracek 2013-07-22 07:19:32 EDT
Well, emacs was upgraded into 24.3 version

scm-commit (https://lists.fedoraproject.org/pipermail/scm-commits/Week-of-Mon-20130722/1061462.html) -> MODIFIED

I turn off karma so that emacs should be tested deeply.
Comment 20 Fedora Update System 2013-07-22 21:05:31 EDT
Package emacs-24.3-9.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing emacs-24.3-9.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13373/emacs-24.3-9.fc19
then log in and leave karma (feedback).
Comment 21 peter.senna 2013-07-23 08:25:28 EDT
The update fixed the problem but I was not able to login and leave karma. I was required to click "I'm human" then upload my GPG key and then I had no more access to the page pointed by the link, as it was always redirected to an empty TODO list...
Comment 22 Petr Hracek 2013-07-23 08:59:07 EDT
Hi Peter,

thanks for confirmation that new emacs solved that problem.
Did you observe the problem with login previously?

best regards
Petr
Comment 23 peter.senna 2013-07-23 09:06:29 EDT
My Fedora account (petersenna) was inactive due missing key and low activity. I've tried again now and it worked now. Thanks for fixing Emacs! :-)
Comment 24 Fedora Update System 2013-07-30 13:32:31 EDT
emacs-24.3-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.